
From: Olaf Hering <olh@suse.de>

Patch from <amodra@bigpond.net.au>,
http://sources.redhat.com/bugzilla/show_bug.cgi?id=1042

/usr/bin/ld: arch/ppc64/kernel/vdso32/vdso32.so: The first section in the
PT_DYNAMIC segment is not the .dynamic section

Signed-off-by: Olaf Hering <olh@suse.de>
Acked-by: Benjamin Herrenschmidt <benh@kernel.crashing.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/ppc64/kernel/vdso32/vdso32.lds.S |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN arch/ppc64/kernel/vdso32/vdso32.lds.S~ppc64-vdso32-fix-link-errors-after-recent-toolchain-changes arch/ppc64/kernel/vdso32/vdso32.lds.S
--- 25/arch/ppc64/kernel/vdso32/vdso32.lds.S~ppc64-vdso32-fix-link-errors-after-recent-toolchain-changes	Wed Jul  6 13:11:24 2005
+++ 25-akpm/arch/ppc64/kernel/vdso32/vdso32.lds.S	Wed Jul  6 13:11:24 2005
@@ -40,9 +40,9 @@ SECTIONS
   .gcc_except_table	: { *(.gcc_except_table) }
   .fixup		: { *(.fixup) }
 
-  .got ALIGN(4)		: { *(.got.plt) *(.got) }
-
   .dynamic		: { *(.dynamic) }		:text	:dynamic
+  .got : { *(.got) }
+  .plt : { *(.plt) }
 
   _end = .;
   __end = .;
_
